> ## Documentation Index
> Fetch the complete documentation index at: https://developer.duplik.cn/llms.txt
> Use this file to discover all available pages before exploring further.

> 重试失败的文档任务

# Retry Document Task



## OpenAPI

````yaml post /v1/knowledge/document/{document_id}/tasks/retry
openapi: 3.1.0
info:
  title: spectra-server
  description: The API for Spectra Backend.
  version: 0.1.0
servers:
  - url: https://api-spectra.duplik.cn
security: []
paths:
  /v1/knowledge/document/{document_id}/tasks/retry:
    post:
      tags:
        - Knowledge
      summary: Retry Document Task
      operationId: retry_document_task_v1_knowledge_document__document_id__tasks_retry_post
      parameters:
        - name: document_id
          in: path
          required: true
          schema:
            type: string
            description: 文档ID
            title: Document Id
          description: 文档ID
        - name: user_id
          in: query
          required: false
          schema:
            type: string
            description: 用户ID
            title: User Id
          description: 用户ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusMessage'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
      security:
        - HTTPBearer: []
components:
  schemas:
    StatusMessage:
      properties:
        status:
          type: boolean
          title: Status
          default: true
        message:
          type: string
          title: Message
          default: success
      type: object
      title: StatusMessage
    ErrorResponse:
      properties:
        code:
          type: integer
          title: Code
        message:
          type: string
          title: Message
      type: object
      required:
        - code
        - message
      title: ErrorResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````